<?php
/*
'**************************************************************************************************
' 软件名称: 盘锦DJ舞曲网CMS Content Management PjRen.Net
' 版本编号: Version 2.5
' 盘锦舞曲: http://www.pj57.com
' 官方网站: http://www.pjren.net
' 小说网站: http://www.hx39.com
' 0427DJ网: http://www.0427dj.net
' 官方论坛: http://www.tianjiazhen.com
' 版权所有: 盘锦舞曲开发团队    盘锦人(QQ:814006710)
' 郑重声明:
'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
'    2、盘锦网络事业部保留此软件的法律追究权利
'**************************************************************************************************
*/
require_once("conn.php");
require_once("function.php");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 
header("Cache-Control: no-cache, must-revalidate"); 
header("Pragma: no-cache");
$S_ID=lib_replace_end_tag(SafeRequest("id","get"));
if(!IsNul($S_ID)){echo "参数错误！";}
global $db;
$sql="Select S_ID,S_Name,S_Vdata,S_Addpath,S_hits,S_Author,S_Source,S_ClassID from s_video where S_ID=".$S_ID."";
$row=$db->getrow($sql);
$server=$db->getrow("select * from s_pathip where S_ID=".$row['S_Addpath']."");
if($row){
$S_Url=$row['S_Vdata'];
$S_Name=$row['S_Name'];
$S_Urla=substr($S_Url,0,18);
$S_Urlb=substr($S_Url,0,3);
if($row['S_Source']=="dj95"){
require_once("dj95_config.php");
$Dj95_d32=MD5(Dj95_ym.Dj95_key.$S_ID);
$Dj95_d8=substr($Dj95_d32,-8);
$Dj95_d16=substr($Dj95_d32,-16);
$Dj95_d1=substr($Dj95_d32,8,16);
$DJ95_md5=$Dj95_d1.$Dj95_d8.$Dj95_d16;
$playurl="http://www.95Dj.com:81/B.do?u=".$S_Url."&i=".Dj95_name."&id=".$S_ID."&n=".$S_Name."&qq=".$DJ95_md5."&fwdid=".$row['S_Addpath']."&ac=1";
}else{
if($S_Urla=="http://www.rayfile"){
$playurl=getrayfile($S_Url,$row['S_Name']);
}elseif($S_Urlb=="wk_"){
$kimi=explode("_",$S_Url);
$playurl=getvdisk(trim($kimi[1]));
}else{
$playurl=$server['S_AddPath'].$S_Url;
}
}
echo '<ASX version = "3.0">
<entry SKIPIFREF="NO">
<title>'.$S_Name.'</title>
<author>'.S_SiteDomain.'</author>
<copyright>'.S_SiteName.'</copyright>
<ref href="'.$playurl.'"/>
<param name="Artist" value="'.S_SiteName.'"/>
<param name="Album" value="'.$row['S_hits'].'人气"/>
<param name="Title" value="'.$row['S_Name'].'"/>
</ENTRY></ASX>';
}else{
echo "没有找到相关记录！";
}
?>